# Uses of Interface
org.jfree.chart3d.data.function.Function3D

Packages that use Function3D
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.data.function
Representation of functions in the form `y = f(x, z)`.
org.jfree.chart3d.data.xyz
Datasets that can be used by the `XYZPlot` class.
org.jfree.chart3d.renderer.xyz
Renderers that can be used with the `XYZPlot` class.

## Uses of Function3D in org.jfree.chart3d

Methods in org.jfree.chart3d with parameters of type Function3D
Modifier and Type
Method
Description
`static Chart3D`
Chart3DFactory.`createSurfaceChart(String title, String subtitle, Function3D function, String xAxisLabel, String yAxisLabel, String zAxisLabel)`
Creates a surface chart for the specified function.

## Uses of Function3D in org.jfree.chart3d.data.function

Methods in org.jfree.chart3d.data.function with parameters of type Function3D
Modifier and Type
Method
Description
`static Range`
Function3DUtils.`findYRange(Function3D f, Range xRange, Range zRange, int xSamples, int zSamples, boolean ignoreNaN)`
Returns the range of y-values in the function by sampling.

## Uses of Function3D in org.jfree.chart3d.data.xyz

Methods in org.jfree.chart3d.data.xyz with parameters of type Function3D
Modifier and Type
Method
Description
`static XYZDataset<String>`
XYZDatasetUtils.`sampleFunction(Function3D f, String key, double xmin, double xmax, double xcount, double zmin, double zmax, double zcount)`
Creates an `XYZDataset` by sampling a `Function3D` over a specified range.
`static XYZDataset<String>`
XYZDatasetUtils.`sampleFunction(Function3D f, String key, Range xrange, double xcount, Range zrange, double zcount)`
Creates an `XYZDataset` by sampling a `Function3D` over a specified range.

## Uses of Function3D in org.jfree.chart3d.renderer.xyz

Constructors in org.jfree.chart3d.renderer.xyz with parameters of type Function3D
Modifier
Constructor
Description
``
`SurfaceRenderer(Function3D function)`
Creates a new renderer for the specified function.